Quassel IRC - Bug #729
No ping reply in 90 seconds
06/24/2009 11:47 PM - MJ94

Status: Resolved Start date: 06/24/2009
Priority: Normal Due date:

Assignee: Sputnick % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.5.0

Version: 0.4.2 0S: Any
Description

Quassel is constantly pinging out. Is that Quassel's default ping out message? Normally, in fact every time, unless the user was
using Quassel, ping timeout is the quit. Not no ping reply in 90 seconds? What is this new quit? Quassel needs to PONG better. I'm
constantly getting disconnected and others are too! Thanks for a great client!

History

#1 - 06/25/2009 12:21 AM - dalbers

Please run the core with --loglevel=Debug and provide the output here.

#2 - 07/04/2009 02:13 AM - MJ94

dalbers wrote:

Please run the core with --loglevel=Debug and provide the output here.

Same as normal:

mj94@negative:~$ screen ./quassel -p 4250 --loglevel=Debug

2009-07-03 20:03:02 Warning: SslServer: Certificate file /home/mj94/.config/quassel-irc.org/quasselCert.pem does not exist
2009-07-03 20:03:02 Warning: SslServer: Unable to set certificate file

Quassel Core will still work, but cannot provide SSL for client connections.

Please see http:/quassel-irc.org/fag/cert to learn how to enable SSL support.

2009-07-03 20:03:02 Warning: SslServer: Certificate file /home/mj94/.config/quassel-irc.org/quasselCert.pem does not exist
2009-07-03 20:03:02 Info: Storage Backend is ready. Quassel Schema Version: 14

2009-07-03 20:03:02 Info: Listening for GUI clients on IPv4 0.0.0.0 port 4250 using protocol version 9

2009-07-03 20:03:02 Info: Restoring previous core state...

2009-07-03 20:03:16 Info: Client connected from <IP REMOVED>

2009-07-03 20:03:16 Debug: Using compression for Client: <IP REMOVED>

2009-07-03 20:03:22 Info: Client <IP REMOVEDs initialized and authenticated successfully as "MJ94" (Userld: 1).

Same as always, and | always see these types of ping outs from Quassel. From #Quassel:

<-- kysh (n=kysh@62.8.87.97) has quit ("No Ping reply in 90 seconds.")
<-- scarabeus (n=scarab@gentoo/developer/scarabeus) has quit ("No Ping reply in 90 seconds.")
<-- otih (n=otih@CAcert/Assurer/otih) has quit ("No Ping reply in 90 seconds.")

Those are examples of the Quassel specific ping timeout. No other client shows the ("No Ping reply in 90 seconds.") Most clients say (Ping timeout).
So, why does Quassel ping out so often and why does it have it's own ping out message?

#3 - 08/12/2009 09:39 PM - Sputnick
- Status changed from New to Resolved
- Assignee set to Sputnick

- Target version set to 0.5.0

Ping behavior is configurable since <http:/qgi
